# Light Client Working Group - Project Management Repository

This repository is used for project management for various initiatives affecting Zcash light clients. The main use of this repository is for the LCWG bi-weekly meeting. It is setup and modeled after the [Ethereum Project Management Repository](https://github.com/ethereum/pm/) under the guidance and direct advice of it's creator @Souptacular, building on 4+ years of lessons learned [herding cats on ETH](https://www.ethereumcatherders.com/).

## LCWG Devs Meetings

### Purpose
The Light Client Working Group Devs meeting is a technical call intended to bring together various development teams who play major roles in determining the direction of light clients. Zcash light client teams provide updates on their projects, discuss various open issues and [ZIPs](https://zips.z.cash/) related to light client work, and support each other as we build the connection between users and Zcash.

### Agendas

The agendas for the calls are tracked in the Issues tab of this repository, under the "agenda" label ([link](https://github.com/zcash/lcwg/issues?q=is%3Aissue+label%3Aagenda+)). To add an item to an agenda, please [open an issue in this repository](https://github.com/zcash/lcwg/issues/new) which mentions the topic you want to discuss and links any relevant materials (ZIPs, prototypes, github issues, etc.). Then, leave a comment in the agenda where you would like this to be discussed. You can see an example [here](https://github.com/ethereum/pm/issues/289#issuecomment-809501046).

Anyone is welcome to add an item to the agenda as long as it follows these guidelines:
- The topic is technical in nature.
- The topic involves light clients at a low-level.
- The topic should not be philosophical. The LCWG developer meetings are not meant to decide contentious issues that should be decided by the community. There are exceptions to this but generally these topics distract from more productive technical discussion.

### Who Can Attend
Light client developers, Protocol developers, and lightwalletd developers are invited to attend the meetings. This is not a meeting for passive participants. The primary guidelines are:
#### Attendance Guidelines
- Attendees must adhere to the Zcash [Code of Conduct](https://electriccoin.co/code-of-conduct/)
- You have been actively pushing PRs to wallet projects
  - For at least the last 6 months
  - OR at least 10 PRs total to Zcash wallet projects
- No anonymous attendees
  - These are working meetings and members are most comfortable when they can put a face to a name
 
Generally every light client is represented. Sometimes a non-developer with particular expertise on a topic is invited on to discuss a specific agenda item. If you feel you would contribute to the meetings by your attendance please reach out to @pacu.

### Who Manages the Meetings
- @pacu as ZWCD takes notes and facilitates 
- @decentralistdan facilitates and provides conference call venue on behalf of ZF

### Previous Meetings

 №  | Date                             | Agenda        |Notes          | Recording            |
--- | -------------------------------- | -------------- |-------------- | -------------------- |
74 | April 4th, 2024 17:00 UTC | [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-74.md) | not recorded |
73 | March 21st, 2024 17:00 UTC | [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-73.md) | not recorded |
72 | March 7th, 2024 17:00 UTC | [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-72.md) | not recorded |
71 | February 22nd, 2024 17:00 UTC | [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-71.md) | not recorded |
70 | February 8th, 2024 17:00 UTC | [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-70.md) | not recorded |
69 | January 25th, 2024 17:00 UTC | [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-69.md) | not recorded |
68 | January 11th, 2024 17:00 UTC | [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-68.md) | not recorded |
67 | December 14th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-67.md) | not recorded |
66 | November 30th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-66.md) | not recorded |
65 | November 16th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-65.md) | not recorded |
64 | November 2nd, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-64.md) | not recorded |
63 | October 19th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-63.md) | not recorded |
62 | October 5th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-62.md) | not recorded |
61 | September 21st, 2023 17:00 UTC| [agenda] | notes N/A | not recorded |
60 | September 7th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-60.md) | not recorded |
59 | August 31st, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-59.md) | not recorded |
58 | August 23rd, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-58.md) | not recorded |
57 | August 17th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-57.md) | not recorded |
56 | August 10th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-56.md) | not recorded |
55 | August 3rd, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-55.md) | not recorded | 
54 | July 13th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-54.md) | not recorded | 
53 | June 29th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-53.md) | not recorded | 
52 | June 15th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-52.md) | not recorded | 
51 | June 1st, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-51.md) | not recorded | 
50 | May 18th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-50.md) | not recorded | 
49 | May 4th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-49.md) | not recorded | 
48 | April 20th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-48.md) | not recorded | 
47 | April 6th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-47.md) | not recorded | 
46 | March 23rd, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-46.md) | not recorded | 
45 | March 9th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-45.md) | not recorded | 
44 | February 23rd, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-44.md) | not recorded | 
43 | February 9th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-43.md) | not recorded | 
42 | January 26th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-42.md) | not recorded | 
41 | January 12th, 2023 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-41.md) | not recorded | 
40 | December 15th, 2022 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-40.md) | not recorded | 
39 | December 1st, 2022 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-39.md) | not recorded | 
38 | November 17th, 2022 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-38.md) | not recorded | 
37 | November 3rd, 2022 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-37.md) | not recorded | 
36 | October 20th, 2022 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-36.md) | not recorded | 
35 | October 6th, 2022 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-35.md) | not recorded | 
34 | September 8th, 2022 17:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-34.md) | not recorded | 
33 | August 26th, 2022 16:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-33.md) | not recorded | 
32 | July 27th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-32.md) | not recorded | 
31 | July 13th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-31.md) | not recorded | 
30 | June 29th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-30.md) | not recorded | 
29 | June 15th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-29.md) | not recorded | 
28 | June 1st, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-28.md) | not recorded | 
27 | May 18th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-27.md) | not recorded | 
26 | May 4th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-26.md) | not recorded | 
25 | April 20th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-25.md) | not recorded | 
24 | April 6th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-24.md) | not recorded | 
23 | March 23rd, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-23.md) | not recorded | 
22 | March 9th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-22.md) | not recorded | 
21 | February 23rd, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-21.md) | not recorded | 
20 | February 9th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-20.md) | not recorded | 
19 | January 28th, 2022 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-19.md) | not recorded | 
18 | December 17th, 2021 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-18.md) | not recorded | 
17 | December 3rd, 2021 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-17.md) | not recorded | 
16 | November 19th, 2021 15:00 UTC| [agenda]| [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-16.md) | not recorded | 
15 | October 22th, 2021 15:00 UTC| [agenda] | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-15.md) | not recorded | 
14 | September 24th, 2021 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/25) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-14.md) | not recorded | 
13 | September 10th, 2021 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/24) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-13.md) | not recorded | 
12 | Friday 27 Aug 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/22) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-12.md) | not recorded | 
11 | Friday 13 Aug 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/21) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-11.md) | not recorded | 
10 | Friday 30 Jul 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/18) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-10.md) | not recorded | 
9 | Friday 16 Jul 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/15) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-9.md) | not recorded | 
8 | Friday 25 Jun 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/12) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-8.md) | not recorded | 
7 | Friday 11 Jun 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/8) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-7.md) | not recorded | 
6 | Friday 28 May 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/7) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-6.md) | not recorded | 
5 | Friday 21 May 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/6) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-5.md) | not recorded | 
4 | Friday 14 May 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/5) | [notes](https://github.com/zcash/lcwg/blob/main/meeting-notes/lcwg-dev-4.md) | not recorded | 
3 | Friday 07 May 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/4) | no notes | not recorded | 
2 | Friday 30 Apr 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/3) | no notes | not recorded | 
1 | Friday 23 Apr 2021, 15:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/2) | no notes | not recorded | 
0 | Friday 05 Mar 2021, 20:00 UTC| [agenda](https://github.com/zcash/lcwg/issues/1) | no notes | not recorded | 
